/*
 * File:                package-info.java
 * Authors:             Justin Basilico
 * Company:             Sandia National Laboratories
 * Project:             Cognitive Foundry
 * 
 * Copyright December 13, 2007, Sandia Corporation.
 * Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive 
 * license for use of this work by or on behalf of the U.S. Government. Export 
 * of this program may require a license from the United States Government. 
 * See CopyrightHistory.txt for complete details.
 *
 * 
 */

/**
 * Provides a mechanism for putting learned objects into the Cognitive 
 * Framework. It is based around wrapping an {@code Evaluator} within a
 * {@code EvaluatorBasedCognitiveModule} and using {@code CogxelConverter} 
 * objects to convert things to and from {@code Cogxel} objects.
 *
 * @author  Justin Basilico
 * @since   2.0
 */
@gov.sandia.cognition.annotation.Documentation
package gov.sandia.cognition.framework.learning;

